Update import dataset
curl --request PATCH \
--url https://api.prequel.co/import/datasets/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"dataset": {
"name": "<string>",
"frequency_minutes": 2,
"is_enabled": true
}
}
'import requests
url = "https://api.prequel.co/import/datasets/{id}"
payload = { "dataset": {
"name": "<string>",
"frequency_minutes": 2,
"is_enabled": True
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataset: {name: '<string>', frequency_minutes: 2, is_enabled: true}})
};
fetch('https://api.prequel.co/import/datasets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"dataset": {
"type": "<unknown>",
"dimension": {
"primary_key_column": "<string>",
"last_modified_column": "<string>",
"is_deleted_column": "<string>"
},
"method": "<unknown>",
"table": {
"source_table_namespace": "<string>",
"source_table_name": "<string>"
},
"id": "<string>",
"name": "<string>",
"source_id": "<string>",
"is_enabled": true,
"frequency_minutes": 123,
"datalake_schema": "<string>",
"datalake_table_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Import Datasets
Update import dataset
Update an existing import dataset.
PATCH
/
import
/
datasets
/
{id}
Update import dataset
Authorizations
Path Parameters
Import Dataset ID.
Query Parameters
Skip validation when creating or updating.
Body
application/json
Show child attributes
Show child attributes
⌘I